mkdir -p test_poly
for size in 100 1000 1500 2000
do
    ./laguerre_poly_gen.out $size test_poly/laguerre_$size.dat
    ./chebyshev_poly_gen.out $size test_poly/chebyshev_$size.dat
    ./chebyshev2_poly_gen.out $size test_poly/chebyshev2_$size.dat
    ./wilkinson_poly_gen.out $size test_poly/wilkinson_$size.dat
    ./mignotte_poly_gen.out $size test_poly/mignotte_$size.dat
    for index in $(seq 100)
    do
        ./random_poly_gen_r.out $size 20 1000000000 test_poly/random_$size\_$index.dat
    done
done
for level in 9 10
do
    ./branch_poly_gen.out $level test_poly/branch_$level.dat
done