mkdir -p result
mkdir -p answer
for lb in 8 80 10240 12288 16384
do
    for size in 100 1000 1500 2000
    do
        ./uspensky_abcd.out test_poly/laguerre_$size.dat answer/laguerre_$size\_$lb.dat $lb > result/laguerre_$size\_$lb.dat
        ./uspensky_abcd.out test_poly/chebyshev_$size.dat answer/chebyshev_$size\_$lb.dat $lb > result/chebyshev_$size\_$lb.dat
        ./uspensky_abcd.out test_poly/chebyshev2_$size.dat answer/chebyshev2_$size\_$lb.dat $lb > result/chebyshev2_$size\_$lb.dat
        ./uspensky_abcd.out test_poly/wilkinson_$size.dat answer/wilkinson_$size\_$lb.dat $lb > result/wilkinson_$size\_$lb.dat
        ./uspensky_abcd.out test_poly/mignotte_$size.dat answer/mignotte_$size\_$lb.dat $lb > result/mignotte_$size\_$lb.dat
        for index in $(seq 100)
        do
            ./uspensky_abcd.out test_poly/random_$size\_$index.dat answer/random_$size\_$index\_$lb.dat $lb > result/random_$size\_$index\_$lb.dat
        done
    done
done