#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>

char* names[] = {"None", "Cauchy, Kioustelidis, Newton", "Cauchy Quadratic",
                 "Kioustelidis Quadratic",
                 "Local Max Quadratic", "Local Max", "Newton", "First Lambda",
                 "Oreore First Lambda1", "Oreore First Lambda2", "Oreore First Lambda3",
                 "Oreore First Lambda4", "Oreore First Lambda5", "Oreore First Lambda6",
                 "Local Max 2", "Local Max Quadratic 2"};
                 
int current = 0;
char buffer[20];

int process()
{
    int i = 0;
    fgets(buffer, sizeof(buffer), stdin);
    buffer[sizeof(buffer) - 1] = '\0';
    if(buffer[0] == 'q')
    {
        return 0;
    }
    i = atoi(buffer);
    if(i >= 1 && i < sizeof(names))
    {
        current ^= 1 << (i-1);
    }
    fflush(stdin);
    return 1;
}

void print_all_lowerbound()
{
    int i, temp;
    for(i = 1;i < sizeof(names) / sizeof(char*);i++)
    {
        temp = 1 << (i-1);
        printf("%2d: %3s %s(%d)\n", i, (current & temp) == temp ? "ON" : "OFF", names[i], (int)pow(2,i-1));
    }
}

int main()
{
    do
    {
        printf("Select Lower Bound Index(q)\n");
        print_all_lowerbound();
        printf("Current:%d\n", current);
    }while(process());
    return 0;
}