typedef enum LBTYPE
{
    LBTYPE_NONE = 0,
    LBTYPE_CKN = 1,
    LBTYPE_CQ = 2,
    LBTYPE_KQ = 4,
    LBTYPE_LMQ = 8,
    LBTYPE_LM = 16,
    LBTYPE_N = 32,
    LBTYPE_FL = 64,
    LBTYPE_OFL1 = 128,
    LBTYPE_OFL2 = 256,
    LBTYPE_OFL3 = 512,
    LBTYPE_OFL4 = 1024,
    LBTYPE_OFL5 = 2048,
    LBTYPE_OFL6 = 4096,
    LBTYPE_LM2 = 8192,
    LBTYPE_LMQ2 = 16384,
} lbtype_t;

void printLowerbound(lbtype_t lbType)
{
    printf("Lowerbounds:");
    if((lbType & LBTYPE_CKN) == LBTYPE_CKN)
    {
        printf("C,K,N,");
    }
    if((lbType & LBTYPE_CQ) == LBTYPE_CQ)
    {
        printf("CQ,");
    }
    if((lbType & LBTYPE_KQ) == LBTYPE_KQ)
    {
        printf("KQ,");
    }
    if((lbType & LBTYPE_LMQ) == LBTYPE_LMQ)
    {
        printf("LMQ,");
    }
    if((lbType & LBTYPE_LM) == LBTYPE_LM)
    {
        printf("LM,");
    }
    if((lbType & LBTYPE_LM2) == LBTYPE_LM2)
    {
        printf("LM2,");
    }
    if((lbType & LBTYPE_N) == LBTYPE_N)
    {
        printf("N,");
    }
    if((lbType & LBTYPE_FL) == LBTYPE_FL)
    {
        printf("FL,");
    }
    if((lbType & LBTYPE_OFL1) == LBTYPE_OFL1)
    {
        printf("OFL1,");
    }
    if((lbType & LBTYPE_OFL2) == LBTYPE_OFL2)
    {
        printf("OFL2,");
    }
    if((lbType & LBTYPE_OFL3) == LBTYPE_OFL3)
    {
        printf("OFL3,");
    }
    if((lbType & LBTYPE_OFL4) == LBTYPE_OFL4)
    {
        printf("OFL4,");
    }
    if((lbType & LBTYPE_OFL5) == LBTYPE_OFL5)
    {
        printf("OFL5,");
    }
    if((lbType & LBTYPE_OFL6) == LBTYPE_OFL6)
    {
        printf("OFL6,");
    }
    if((lbType & LBTYPE_LMQ2) == LBTYPE_LMQ2)
    {
        printf("LMQ2,");
    }
    printf("\n");
}