#include <gmp.h>

int lowerboundCK(int n,mpz_t *poly,mpz_t lowerBound,mpz_t newtonCandidate, int polyZeroSgn, int negCoeffCount, int *sgnv){

  int j,flag;
  mpz_t tmp1, tmp2, tmp3, tmp4, tmp5;
  mm_mpz_get(tmp1);
  mm_mpz_get(tmp2);
  mm_mpz_get(tmp3);
  mm_mpz_get(tmp4);
  mm_mpz_get(tmp5);

  mpz_neg(tmp2,poly[0]);
  if(lowerboundNPre(tmp2, poly[sgnv[0]], tmp1, sgnv))
  {
    mpz_set(newtonCandidate, tmp1);
    flag = 1;
  }else{
    flag = 0;
  }

  if(polyZeroSgn<0){
    mpz_root(tmp1,tmp1,sgnv[0]);
    for(j=1;j<negCoeffCount;j++){
      mpz_pow_ui(tmp3,tmp1,sgnv[j]);
      mpz_mul(tmp3,tmp3,poly[sgnv[j]]);
      if(mpz_cmp(tmp2,tmp3)<0){
        mpz_fdiv_q(tmp1,tmp2,poly[sgnv[j]]);
        mpz_root(tmp1,tmp1,sgnv[j]);
      }
    }

    mpz_mul_ui(tmp5,poly[sgnv[0]],negCoeffCount);
    mpz_fdiv_q(tmp5,tmp2,tmp5);
    mpz_root(tmp5,tmp5,sgnv[0]);
    for(j=1;j<negCoeffCount;j++){
      mpz_pow_ui(tmp3,tmp5,sgnv[j]);
      mpz_mul_ui(tmp4,poly[sgnv[j]],negCoeffCount);
      mpz_mul(tmp3,tmp3,tmp4);
      if(mpz_cmp(tmp2,tmp3)<0){
        mpz_fdiv_q(tmp5,tmp2,tmp4);
        mpz_root(tmp5,tmp5,sgnv[j]);
      }
    }

  }
  else{
    mpz_root(tmp1,tmp1,sgnv[0]);
    for(j=1;j<negCoeffCount;j++){
      mpz_pow_ui(tmp3,tmp1,sgnv[j]);
      mpz_mul(tmp3,tmp3,poly[sgnv[j]]);
      if(mpz_cmp(tmp2,tmp3)>0){
        mpz_fdiv_q(tmp1,tmp2,poly[sgnv[j]]);
        mpz_root(tmp1,tmp1,sgnv[j]);
      }
    }

    mpz_mul_ui(tmp5,poly[sgnv[0]],negCoeffCount);
    mpz_fdiv_q(tmp5,tmp2,tmp5);
    mpz_root(tmp5,tmp5,sgnv[0]);
    for(j=1;j<negCoeffCount;j++){
      mpz_pow_ui(tmp3,tmp5,sgnv[j]);
      mpz_mul_ui(tmp4,poly[sgnv[j]],negCoeffCount);
      mpz_mul(tmp3,tmp3,tmp4);
      if(mpz_cmp(tmp2,tmp3)>0){
        mpz_fdiv_q(tmp5,tmp2,tmp4);
        mpz_root(tmp5,tmp5,sgnv[j]);
      }
    }

  }

  mpz_mul_ui(tmp3,tmp5,2);

  if(mpz_cmp(tmp3,tmp1)<0){
    mpz_fdiv_q_ui(tmp1, tmp1, 2);
    mpz_set(lowerBound, tmp1);
  }
  else{
    mpz_set(lowerBound, tmp5);
  }

  mm_mpz_release(tmp1);
  mm_mpz_release(tmp2);
  mm_mpz_release(tmp3);
  mm_mpz_release(tmp4);
  mm_mpz_release(tmp5);
  
  return(flag); 
}
