#include <gmp.h>

void lowerboundLM2(int n, mpz_t * poly, mpz_t lowerBound, int polyZeroSgn, int negCoeffCount, int * sgnv, int * useCount)
{
    int i, j, k = 0, l, iSet = 0;
    int useCountCount = 0;
    mpz_t tmp1, tmp2, tmp3, tmpLB;
    mm_mpz_get(tmp1);
    mm_mpz_get(tmp2);
    mm_mpz_get(tmp3);
    mm_mpz_get(tmpLB);
    
    mpz_set_ui(tmpLB, INT_MAX);
    j = 0;
    mpz_set_ui(tmp2, 2);
    if(polyZeroSgn > 0)
    {
        for(i = 0;i < negCoeffCount;i++)
        {
            for(k++;k < sgnv[i];k++)
            {
                if(mpz_cmp(poly[k], poly[j]) > 0)
                {
                    if(useCountCount > 0)
                    {
                        for(l = 0;l < useCountCount - 1;l++)
                        {
                            mpz_pow_ui(tmp1, tmp2, l + 1);
                            mpz_mul(tmp1, tmp1, poly[useCount[l]]);
                            mpz_fdiv_q(tmp1, poly[j], tmp1);
                            mpz_neg(tmp1, tmp1);
                            mpz_root(tmp1, tmp1, useCount[l] -j);
                            if(mpz_cmp(tmp1, lowerBound) < 0)
                            {
                                goto CLEAR;
                            }
                            if(mpz_cmp(tmp1, tmpLB) < 0)
                            {
                                mpz_set(tmpLB, tmp1);
                                iSet = 1;
                            }
                        }
                        mpz_pow_ui(tmp1, tmp2, l);
                        mpz_mul(tmp1, tmp1, poly[useCount[l]]);
                        mpz_fdiv_q(tmp1, poly[j], tmp1);
                        mpz_neg(tmp1, tmp1);
                        mpz_root(tmp1, tmp1, useCount[l] -j);
                        if(mpz_cmp(tmp1, lowerBound) < 0)
                        {
                            goto CLEAR;
                        }
                        if(mpz_cmp(tmp1, tmpLB) < 0)
                        {
                            mpz_set(tmpLB, tmp1);
                            iSet = 1;
                        }
                        useCountCount = 0;
                    }
                    j = k;
                }
            }
            useCount[useCountCount] = sgnv[i];
            useCountCount++;
        }
        if(useCountCount > 0)
        {
            for(l = 0;l < useCountCount - 1;l++)
            {
                mpz_pow_ui(tmp1, tmp2, l + 1);
                mpz_mul(tmp1, tmp1, poly[useCount[l]]);
                mpz_fdiv_q(tmp1, poly[j], tmp1);
                mpz_neg(tmp1, tmp1);
                mpz_root(tmp1, tmp1, useCount[l] -j);
                if(mpz_cmp(tmp1, lowerBound) < 0)
                {
                    goto CLEAR;
                }
                if(mpz_cmp(tmp1, tmpLB) < 0)
                {
                    mpz_set(tmpLB, tmp1);
                    iSet = 1;
                }
            }
            mpz_pow_ui(tmp1, tmp2, l);
            mpz_mul(tmp1, tmp1, poly[useCount[l]]);
            mpz_fdiv_q(tmp1, poly[j], tmp1);
            mpz_neg(tmp1, tmp1);
            mpz_root(tmp1, tmp1, useCount[l] -j);
            if(mpz_cmp(tmp1, lowerBound) < 0)
            {
                goto CLEAR;
            }
            if(mpz_cmp(tmp1, tmpLB) < 0)
            {
                mpz_set(tmpLB, tmp1);
                iSet = 1;
            }
        }
    }
    else
    {
        for(i = 0;i < negCoeffCount;i++)
        {
            for(k++;k < sgnv[i];k++)
            {
                if(mpz_cmp(poly[k], poly[j]) < 0)
                {
                    if(useCountCount > 0)
                    {
                        for(l = 0;l < useCountCount - 1;l++)
                        {
                            mpz_pow_ui(tmp1, tmp2, l + 1);
                            mpz_mul(tmp1, tmp1, poly[useCount[l]]);
                            mpz_fdiv_q(tmp1, poly[j], tmp1);
                            mpz_neg(tmp1, tmp1);
                            mpz_root(tmp1, tmp1, useCount[l] -j);
                            if(mpz_cmp(tmp1, lowerBound) < 0)
                            {
                                goto CLEAR;
                            }
                            if(mpz_cmp(tmp1, tmpLB) < 0)
                            {
                                mpz_set(tmpLB, tmp1);
                                iSet = 1;
                            }
                        }
                        mpz_pow_ui(tmp1, tmp2, l);
                        mpz_mul(tmp1, tmp1, poly[useCount[l]]);
                        mpz_fdiv_q(tmp1, poly[j], tmp1);
                        mpz_neg(tmp1, tmp1);
                        mpz_root(tmp1, tmp1, useCount[l] -j);
                        if(mpz_cmp(tmp1, lowerBound) < 0)
                        {
                            goto CLEAR;
                        }
                        if(mpz_cmp(tmp1, tmpLB) < 0)
                        {
                            mpz_set(tmpLB, tmp1);
                            iSet = 1;
                        }
                        useCountCount = 0;
                    }
                    j = k;
                }
            }
            useCount[useCountCount] = sgnv[i];
            useCountCount++;
        }
        if(useCountCount > 0)
        {
            for(l = 0;l < useCountCount - 1;l++)
            {
                mpz_pow_ui(tmp1, tmp2, l + 1);
                mpz_mul(tmp1, tmp1, poly[useCount[l]]);
                mpz_fdiv_q(tmp1, poly[j], tmp1);
                mpz_neg(tmp1, tmp1);
                mpz_root(tmp1, tmp1, useCount[l] -j);
                if(mpz_cmp(tmp1, lowerBound) < 0)
                {
                    goto CLEAR;
                }
                if(mpz_cmp(tmp1, tmpLB) < 0)
                {
                    mpz_set(tmpLB, tmp1);
                    iSet = 1;
                }
            }
            mpz_pow_ui(tmp1, tmp2, l);
            mpz_mul(tmp1, tmp1, poly[useCount[l]]);
            mpz_fdiv_q(tmp1, poly[j], tmp1);
            mpz_neg(tmp1, tmp1);
            mpz_root(tmp1, tmp1, useCount[l] -j);
            if(mpz_cmp(tmp1, lowerBound) < 0)
            {
                goto CLEAR;
            }
            if(mpz_cmp(tmp1, tmpLB) < 0)
            {
                mpz_set(tmpLB, tmp1);
                iSet = 1;
            }
        }
    }
    
    if(iSet && mpz_cmp(tmpLB, lowerBound) > 0)
    {
        mpz_set(lowerBound, tmpLB);
        gmp_printf("<LM2:%Zd>", lowerBound);
    }
    
    CLEAR:
    mm_mpz_release(tmp1);
    mm_mpz_release(tmp2);
    mm_mpz_release(tmp3);
    mm_mpz_release(tmpLB);
}